StartRecoveryPlanExecution
Starts executing a Recovery Plan in DRILL or RECOVERY mode. A plan cannot have more than one execution in a non-terminal status at a time.
Request Syntax
POST /StartRecoveryPlanExecution HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"mode": "string",
"recoveryPlanArn": "string",
"sourceServers": [
{
"recoverySnapshotID": "string",
"sourceServerID": "string"
}
],
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique string provided to ensure request idempotency.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 64.
Required: No
- mode
-
The execution mode (
DRILLorRECOVERY).Type: String
Valid Values:
DRILL | RECOVERYRequired: Yes
- recoveryPlanArn
-
The ARN of the Recovery Plan to execute.
Type: String
Length Constraints: Minimum length of 20. Maximum length of 2048.
Pattern:
arn:aws(-[a-z0-9]+)*:drs:[a-z0-9-]+:[0-9]{12}:[a-zA-Z0-9_/.-]+Required: Yes
- sourceServers
-
Optional list of source servers with specific recovery snapshots. If not provided, the latest snapshot is used for each server.
Type: Array of RecoveryPlanExecutionSourceServer objects
Array Members: Minimum number of 0 items. Maximum number of 200 items.
Required: No
-
The tags to apply to the Recovery Plan execution.
Type: String to string map
Key Length Constraints: Minimum length of 0. Maximum length of 256.
Value Length Constraints: Minimum length of 0. Maximum length of 256.
Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"recoveryPlanExecution": {
"completedAt": "string",
"errorDetail": {
"code": "string",
"message": "string"
},
"mode": "string",
"recoveryPlanArn": "string",
"recoveryPlanExecutionArn": "string",
"startedAt": "string",
"status": "string",
"tags": {
"string" : "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- recoveryPlanExecution
-
The started Recovery Plan execution.
Type: RecoveryPlanExecution object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the target resource.
- resourceId
-
The ID of the resource.
- resourceType
-
The type of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request processing has failed because of an unknown error, exception or failure.
- retryAfterSeconds
-
The number of seconds after which the request should be safe to retry.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource for this operation was not found.
- resourceId
-
The ID of the resource.
- resourceType
-
The type of the resource.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request could not be completed because its exceeded the service quota.
- quotaCode
-
Quota code.
- resourceId
-
The ID of the resource.
- resourceType
-
The type of the resource.
- serviceCode
-
Service code.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
- quotaCode
-
Quota code.
- retryAfterSeconds
-
The number of seconds after which the request should be safe to retry.
- serviceCode
-
Service code.
HTTP Status Code: 429
- UninitializedAccountException
-
The account performing the request has not been initialized.
HTTP Status Code: 400
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
- fieldList
-
A list of fields that failed validation.
- reason
-
Validation exception reason.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: